Subject: Get That Perfect Shave For $0.99/month delivered To your Door.

From: "Well Groomed Shaving" <[email-masked]>
Date: Sat, 8 Aug 2015 09:44:33 -0700

Get That Perfect Shave For $0.99/month delivered To your Door.